XFuSerializable class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# XFuSerializable Class Reference

Base class for classes that need to be able to serialize and deserialize. More...

`#include <XFuSerializable.h>`

List of all members.

## Public Member Functions

virtual | ~XFuSerializable ()
| Virtual destructor.
virtual INT32 | serialize (CHAR8 *aBuffer, INT32 aMaxSize)=0
| Serializes this object into the buffer. Returns the length of the data.
virtual INT32 | deserialize (const CHAR8 *aBuffer, INT32 aLen)=0
| Deserializes from the data buffer into this object. Returns length of handled data.

## Protected Member Functions

void | readCHAR8 (const CHAR8 *aBuffer, CHAR8 *aVal)
void | readCHAR16 (const CHAR8 *aBuffer, CHAR16 *aVal)
void | readINT (const CHAR8 *aBuffer, INT *aVal)
void | readINT8 (const CHAR8 *aBuffer, INT8 *aVal)
void | readUINT8 (const CHAR8 *aBuffer, UINT8 *aVal)
void | readINT16 (const CHAR8 *aBuffer, INT16 *aVal)
void | readUINT16 (const CHAR8 *aBuffer, UINT16 *aVal)
void | readINT32 (const CHAR8 *aBuffer, INT32 *aVal)
void | readUINT32 (const CHAR8 *aBuffer, UINT32 *aVal)
void | readREAL (const CHAR8 *aBuffer, REAL *aVal)
void | readFLOAT32 (const CHAR8 *aBuffer, FLOAT32 *aVal)
void | writeCHAR8 (CHAR8 *aBuffer, CHAR8 aVal)
void | writeCHAR16 (CHAR8 *aBuffer, CHAR16 aVal)
void | writeINT (CHAR8 *aBuffer, INT aVal)
void | writeINT8 (CHAR8 *aBuffer, INT8 aVal)
void | writeUINT8 (CHAR8 *aBuffer, UINT8 aVal)
void | writeINT16 (CHAR8 *aBuffer, INT16 aVal)
void | writeUINT16 (CHAR8 *aBuffer, UINT16 aVal)
void | writeINT32 (CHAR8 *aBuffer, INT32 aVal)
void | writeUINT32 (CHAR8 *aBuffer, UINT32 aVal)
void | writeREAL (CHAR8 *aBuffer, REAL aVal)
void | writeFLOAT32 (CHAR8 *aBuffer, FLOAT32 aVal)

## Detailed Description

Base class for classes that need to be able to serialize and deserialize.

Definition at line 18 of file XFuSerializable.h.

## Constructor & Destructor Documentation

virtual XFuSerializable::~XFuSerializable | ( |  | ) | `[inline, virtual]`

| Virtual destructor. Definition at line 24 of file XFuSerializable.h.

## Member Function Documentation

virtual INT32 XFuSerializable::deserialize | ( | const CHAR8 * | aBuffer,
|  | INT32 | aLen
| ) | `[pure virtual]`

| Deserializes from the data buffer into this object. Returns length of handled data.

void XFuSerializable::readCHAR16 | ( | const CHAR8 * | aBuffer,
|  | CHAR16 * | aVal
| ) | `[inline, protected]`

| Definition at line 37 of file XFuSerializable.h.

void XFuSerializable::readCHAR8 | ( | const CHAR8 * | aBuffer,
|  | CHAR8 * | aVal
| ) | `[inline, protected]`

| Definition at line 36 of file XFuSerializable.h.

void XFuSerializable::readFLOAT32 | ( | const CHAR8 * | aBuffer,
|  | FLOAT32 * | aVal
| ) | `[inline, protected]`

| Definition at line 52 of file XFuSerializable.h.

void XFuSerializable::readINT | ( | const CHAR8 * | aBuffer,
|  | INT * | aVal
| ) | `[inline, protected]`

| Definition at line 39 of file XFuSerializable.h. References readINT32().

void XFuSerializable::readINT16 | ( | const CHAR8 * | aBuffer,
|  | INT16 * | aVal
| ) | `[inline, protected]`

| Definition at line 44 of file XFuSerializable.h.

void XFuSerializable::readINT32 | ( | const CHAR8 * | aBuffer,
|  | INT32 * | aVal
| ) | `[inline, protected]`

| Definition at line 47 of file XFuSerializable.h. Referenced by readINT().

void XFuSerializable::readINT8 | ( | const CHAR8 * | aBuffer,
|  | INT8 * | aVal
| ) | `[inline, protected]`

| Definition at line 41 of file XFuSerializable.h.

void XFuSerializable::readREAL | ( | const CHAR8 * | aBuffer,
|  | REAL * | aVal
| ) | `[inline, protected]`

| Definition at line 50 of file XFuSerializable.h.

void XFuSerializable::readUINT16 | ( | const CHAR8 * | aBuffer,
|  | UINT16 * | aVal
| ) | `[inline, protected]`

| Definition at line 45 of file XFuSerializable.h.

void XFuSerializable::readUINT32 | ( | const CHAR8 * | aBuffer,
|  | UINT32 * | aVal
| ) | `[inline, protected]`

| Definition at line 48 of file XFuSerializable.h.

void XFuSerializable::readUINT8 | ( | const CHAR8 * | aBuffer,
|  | UINT8 * | aVal
| ) | `[inline, protected]`

| Definition at line 42 of file XFuSerializable.h.

virtual INT32 XFuSerializable::serialize | ( | CHAR8 * | aBuffer,
|  | INT32 | aMaxSize
| ) | `[pure virtual]`

| Serializes this object into the buffer. Returns the length of the data. Referenced by XFuInetNetwork::send(), XFuBluetoothNetwork::send(), XFuBluetoothMultiNetwork::send(), XFuInetNetwork::sendRecentState(), XFuBluetoothNetwork::sendRecentState(), and XFuBluetoothMultiNetwork::sendRecentState().

void XFuSerializable::writeCHAR16 | ( | CHAR8 * | aBuffer,
|  | CHAR16 | aVal
| ) | `[inline, protected]`

| Definition at line 57 of file XFuSerializable.h.

void XFuSerializable::writeCHAR8 | ( | CHAR8 * | aBuffer,
|  | CHAR8 | aVal
| ) | `[inline, protected]`

| Definition at line 56 of file XFuSerializable.h.

void XFuSerializable::writeFLOAT32 | ( | CHAR8 * | aBuffer,
|  | FLOAT32 | aVal
| ) | `[inline, protected]`

| Definition at line 72 of file XFuSerializable.h.

void XFuSerializable::writeINT | ( | CHAR8 * | aBuffer,
|  | INT | aVal
| ) | `[inline, protected]`

| Definition at line 59 of file XFuSerializable.h. References writeINT32().

void XFuSerializable::writeINT16 | ( | CHAR8 * | aBuffer,
|  | INT16 | aVal
| ) | `[inline, protected]`

| Definition at line 64 of file XFuSerializable.h.

void XFuSerializable::writeINT32 | ( | CHAR8 * | aBuffer,
|  | INT32 | aVal
| ) | `[inline, protected]`

| Definition at line 67 of file XFuSerializable.h. Referenced by writeINT().

void XFuSerializable::writeINT8 | ( | CHAR8 * | aBuffer,
|  | INT8 | aVal
| ) | `[inline, protected]`

| Definition at line 61 of file XFuSerializable.h.

void XFuSerializable::writeREAL | ( | CHAR8 * | aBuffer,
|  | REAL | aVal
| ) | `[inline, protected]`

| Definition at line 70 of file XFuSerializable.h.

void XFuSerializable::writeUINT16 | ( | CHAR8 * | aBuffer,
|  | UINT16 | aVal
| ) | `[inline, protected]`

| Definition at line 65 of file XFuSerializable.h.

void XFuSerializable::writeUINT32 | ( | CHAR8 * | aBuffer,
|  | UINT32 | aVal
| ) | `[inline, protected]`

| Definition at line 68 of file XFuSerializable.h.

void XFuSerializable::writeUINT8 | ( | CHAR8 * | aBuffer,
|  | UINT8 | aVal
| ) | `[inline, protected]`

| Definition at line 62 of file XFuSerializable.h.

The documentation for this class was generated from the following file:

- XFuSerializable.h

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch